Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class ObjectTreeAttribute<T>

    java.lang.Object
      de.grogra.graph.Attribute<T>
          de.grogra.graph.ObjectAttribute<T>
              de.grogra.graph.ObjectTreeAttribute<T>

All Implemented Interfaces:
  Described, KeyDescription, java.lang.Comparable

Direct Known Subclasses:
  DensityTreeAttribute, GlobalTransformation, HeightTreeAttribute, IdTreeAttribute, LocationParameterTreeAttribute, NumberTreeAttribute, TreeValuesTreeAttribute, TurtleStateAttribute

    public abstract class ObjectTreeAttribute<T>

extends ObjectAttribute<T>

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.ObjectAttribute
`ObjectAttribute.IdentityAccessor`

Field Summary

Fields inherited from class de.grogra.graph.Attribute
`ATTRIBUTE_0, attrType, quantity`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`ObjectTreeAttribute(java.lang.Class<T> type, boolean convert, Quantity quantity)`
`ObjectTreeAttribute(Type type, boolean convert, Quantity quantity)`

Method Summary
`abstract boolean` | `dependsOn(Attribute[] b)`
`protected abstract T` | `derive(java.lang.Object object, boolean asNode, T parentValue, T placeIn, GraphState gs)`
`protected T` | `getDerived(java.lang.Object object, boolean asNode, T placeIn, GraphState gs)`
`protected abstract T` | `getInitialValue(GraphState gs)`
`protected ObjectAttribute` | `getParentAttribute(GraphState gs)`
`T` | `getParentValue(java.lang.Object object, boolean asNode, T placeIn, GraphState gs)`
`boolean` | `isDerived()` Determines whether this is a derived attribute or not.

Methods inherited from class de.grogra.graph.ObjectAttribute
`get, set, setDerived, setObject, setSubfield, toType, valueOf`

Methods inherited from class de.grogra.graph.Attribute
`compareTo, find, forName, getAttributeState, getDescription, getId, getKey, getQuantity, getSimpleName, getType, hashCode, initializeI18N, initializeName, isContained, isWritable, setAttributeState, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectTreeAttribute

    public ObjectTreeAttribute(java.lang.Class<T> type,
                               boolean convert,
                               Quantity quantity)

### ObjectTreeAttribute

    public ObjectTreeAttribute(Type type,
                               boolean convert,
                               Quantity quantity)

Method Detail

### dependsOn

    public abstract boolean dependsOn(Attribute[] b)

### derive

    protected abstract T derive(java.lang.Object object,
                                boolean asNode,
                                T parentValue,
                                T placeIn,
                                GraphState gs)

### getDerived

    protected T getDerived(java.lang.Object object,
                           boolean asNode,
                           T placeIn,
                           GraphState gs)

  Overrides:
    `getDerived` in class `ObjectAttribute<T>`

### getInitialValue

    protected abstract T getInitialValue(GraphState gs)

### getParentAttribute

    protected ObjectAttribute getParentAttribute(GraphState gs)

### getParentValue

    public T getParentValue(java.lang.Object object,
                            boolean asNode,
                            T placeIn,
                            GraphState gs)

### isDerived

    public boolean isDerived()

  Description copied from class: `Attribute`
  Determines whether this is a derived attribute or not.

  Overrides:
    `isDerived` in class `Attribute<T>`
  Returns:
    `true` iff this is a derived attribute

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD